<app-top-bar></app-top-bar>


  <div class="side-menu__title--container" style="cursor: pointer;" (click)="goToHome()">
    <p class="side-menu__title--a">MotoFreaks</p>
    <p class="side-menu__title--b">MJ</p>
  </div>

<div class="side-menu__container">
  <div *ngIf="enabled == 'true'">

    <div *ngIf="isLogged && isValidated" class="side-menu__item" (click)="goToHome()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] DASHBOARD'}">
      <i class="material-icons side-menu__icon">home</i>
      <div class="side_menu__text">
        Home
      </div>
    </div>

    <div *ngIf="isLogged && isValidated"
      class="side-menu__item" (click)="goToPosts()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] POSTS'}">
      <i class="material-icons md-18 side-menu__icon">event_note</i>
      <div class="side_menu__text">
        Posts
      </div>
    </div>

    <div *ngIf="isLogged && isValidated"
      class="side-menu__item" (click)="goToChallenges()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] CHALLENGE'}">
      <i class="material-icons md-18 side-menu__icon">done_all</i>
      <div class="side_menu__text">
        Quiz
      </div>
    </div>

 <div *ngIf="isLogged && isValidated"
      class="side-menu__item" (click)="goToSentences()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] SENTENCES'}">
      <i class="material-icons md-18 side-menu__icon">menu_book</i>
      <div class="side_menu__text">
        Dictionary
      </div>
    </div>

    <div *ngIf="isLogged"
      class="side-menu__item" (click)="goToMeProfile()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] MY_PROFILE'}">
      <i class="material-icons md-18 side-menu__icon">person</i>
      <div class="side_menu__text">
        Profile
      </div>
    </div>

    <div *ngIf="isLogged && isValidated"
      class="side-menu__item" (click)="goToAllUsers()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] ALL_USERS'}">
      <i class="material-icons md-18 side-menu__icon">people_alt</i>
      <div class="side_menu__text">
        All users
      </div>
    </div>

 <div *ngIf="isLogged && isValidated &&isModerator"
      class="side-menu__item" (click)="goToModifyCars()" [ngClass]="{'side-menu__item--active': activeRoute == '[Active] CARS'}">
      <i class="material-icons md-18 side-menu__icon">directions_car</i>
      <div class="side_menu__text">
        Cars
      </div>
    </div>


    <div *ngIf="isLogged" class="side-menu__item--logout" (click)="logOut()">
      <i class="material-icons md-18 side-menu__icon">power_settings_new</i>
      <div class="side_menu__text">
        Logout
      </div>
    </div>

  </div>
</div>
